Search people
People profiles that match a name or email.
GET https://cotlet.dev/api/v1/planning-center/peoples/search
read
Searches People for the text you give and returns the matching profiles, best match first. Use person_id with get_person and add_person_note. You only get profiles your account can see in People.
Parameters
| Name | Type | Description |
|---|---|---|
| query string required | string | Name or email address to search for. |
Request
curl "https://cotlet.dev/api/v1/planning-center/peoples/search?query=query" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("planning-center", "search_people", {"query":"query"}) const result = await cotlet.call('planning-center', 'search_people', {"query":"query"}); cotlet call planning-center search_people --data '{"query":"query"}' Example response
{
"people": [
{
"person_id": "48215",
"name": "Dana Whitfield",
"email": "dana@example.org"
},
{
"person_id": "48990",
"name": "Dana Whitfield-Cole",
"email": "dana.wc@example.org"
}
]
}